--- postgresql.spec.orig	Sat Aug 18 01:19:39 2001
+++ postgresql.spec	Wed Sep 19 00:40:15 2001
@@ -44,7 +44,7 @@
 # Pre-release RPM's should not be put up on the public ftp.postgresql.org server
 # -- only test releases or full releases should be.
 
-Release: 1PGDG
+Release: 3XXX
 License: BSD
 Group: Applications/Databases
 Source0: ftp://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.gz
@@ -64,7 +64,9 @@
 Patch3: %{name}-7.1.s390x.patch
 Buildrequires: perl glibc-devel
 Prereq: /sbin/ldconfig initscripts
-BuildPrereq: python-devel perl tcl /lib/cpp
+BuildPrereq: python-devel perl tcl
+BuildPrereq: readline-devel >= 4.0
+BuildPrereq: zlib-devel >= 1.0.4
 %if %ssl
 BuildPrereq: openssl-devel
 %endif
@@ -353,10 +355,12 @@
 #	cp /usr/share/libtool/config.* .
 #fi
 
+CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
+CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS
+
 # Strip out -ffast-math from CFLAGS....
 
-CFLAGS=`echo $RPM_OPT_FLAGS|xargs -n 1|grep -v ffast-math|xargs -n 100`
-export CXXFLAGS="$CFLAGS"
+CFLAGS=`echo $CFLAGS|xargs -n 1|grep -v ffast-math|xargs -n 100`
 
 ./configure --enable-locale  --with-CXX --prefix=/usr\
 %if %perl
@@ -391,7 +395,7 @@
 	--includedir=%{_includedir}/pgsql \
 	--datadir=/usr/share/pgsql
 
-make COPT="$CFLAGS" all
+make all
 
 %if %plperl
         pushd src/pl/plperl
@@ -457,14 +461,10 @@
 
 %endif
 
-make -C doc
-
 
 # man pages....
-pushd $RPM_BUILD_ROOT%{_mandir}
-tar xzf $RPM_BUILD_DIR/postgresql-%{version}/doc/man.tar.gz
-
 # the postgresql-dump manpage.....
+pushd $RPM_BUILD_ROOT%{_mandir}
 cp %{SOURCE12} man1
 popd
 
@@ -519,7 +519,6 @@
 
 # Fixup more permissions...
 chmod 644 $RPM_BUILD_ROOT%{_mandir}/*/*
-chmod +x $RPM_BUILD_ROOT/usr/lib/lib*.so.*
 
 # The initscripts....
 # Redhat-style....
@@ -558,7 +557,6 @@
 	# them anyway for completeness.
 	mkdir -p $RPM_BUILD_ROOT/usr/lib/pgsql/test
 	cp -a src/test/regress $RPM_BUILD_ROOT/usr/lib/pgsql/test
-	install -m 0755 config/config.guess $RPM_BUILD_ROOT/usr/lib/pgsql
 	install -m 0755 contrib/spi/refint.so $RPM_BUILD_ROOT/usr/lib/pgsql/test/regress
 	install -m 0755 contrib/spi/autoinc.so $RPM_BUILD_ROOT/usr/lib/pgsql/test/regress
 	pushd  $RPM_BUILD_ROOT/usr/lib/pgsql/test/regress/
@@ -578,8 +576,6 @@
 #chmod 0644 $RPM_BUILD_ROOT/etc/logrotate.d/postgres
 
 # Fix some more documentation
-# no need for the OS2 client
-rm -rf contrib/os2client
 gzip doc/internals.ps
 cp %{SOURCE6} README.rpm-dist
 mv $RPM_BUILD_ROOT%{_docdir}/postgresql/html doc
@@ -686,11 +682,6 @@
 
 popd
 
-# Fix a dangling symlink
-mkdir -p $RPM_BUILD_ROOT/usr/include/pgsql/port
-cp src/include/port/linux.h $RPM_BUILD_ROOT/usr/include/pgsql/port/
-ln -sf port/linux.h $RPM_BUILD_ROOT/usr/include/pgsql/os.h
-
 #more broken symlinks
 rm -f $RPM_BUILD_ROOT/usr/lib/pgsql/contrib/pg_resetxlog/pg_crc.c $RPM_BUILD_ROOT/usr/lib/pgsql/contrib/pg_controldata/pg_crc.c
 cp src/backend/utils/hash/pg_crc.c $RPM_BUILD_ROOT/usr/lib/pgsql/contrib/pg_resetxlog/pg_crc.c
@@ -794,6 +785,8 @@
 /usr/bin/dropuser
 /usr/bin/pg_dump
 /usr/bin/pg_dumpall
+/usr/bin/pg_encoding
+/usr/bin/pg_id
 /usr/bin/pg_restore
 /usr/bin/psql
 /usr/bin/vacuumdb
@@ -806,6 +799,7 @@
 %{_mandir}/man1/pg_dump.1*
 %{_mandir}/man1/pg_dumpall.1*
 %{_mandir}/man1/psql.1*
+%{_mandir}/man1/vacuumdb.1*
 %{_mandir}/manl/*
 %dir %{_mandir}/manl/
 
@@ -831,8 +825,6 @@
 /usr/bin/initlocation
 /usr/bin/ipcclean
 /usr/bin/pg_ctl
-/usr/bin/pg_encoding
-/usr/bin/pg_id
 /usr/bin/pg_passwd
 /usr/bin/postgres
 /usr/bin/postgresql-dump
@@ -845,7 +837,6 @@
 %{_mandir}/man1/pg_passwd.1*
 %{_mandir}/man1/postgres.1*
 %{_mandir}/man1/postmaster.1*
-%{_mandir}/man1/vacuumdb.1*
 %{_mandir}/man1/postgresql-dump.1*
 /usr/share/pgsql/global.bki
 /usr/share/pgsql/global.description
@@ -867,18 +858,24 @@
 /usr/include/pgsql/*
 %dir /usr/include/pgsql
 /usr/bin/ecpg
-/usr/lib/lib*.a
 /usr/bin/pg_config
 /usr/lib/libpq.so
 /usr/lib/libecpg.so
 /usr/lib/libpq++.so
 /usr/lib/libpgeasy.so
+/usr/lib/libpgtcl.so
+/usr/lib/libpq.a
+/usr/lib/libecpg.a
+/usr/lib/libpq++.a
+/usr/lib/libpgeasy.a
+/usr/lib/libpgtcl.a
 %{_mandir}/man1/ecpg.1*
+%{_mandir}/man1/pg_config.1*
 
 %if %tcl
 %files tcl
 %defattr(-,root,root)
-%attr(755,root,root) /usr/lib/libpgtcl.so*
+%attr(755,root,root) /usr/lib/libpgtcl.so.*
 /usr/bin/pgtclsh
 %{_mandir}/man1/pgtclsh.1*
 /usr/lib/pgsql/pltcl.so
@@ -900,7 +897,7 @@
 %if %odbc
 %files odbc
 %defattr(-,root,root)
-%attr(755,root,root) /usr/lib/libpsqlodbc.so*
+%attr(755,root,root) /usr/lib/libpsqlodbc.so
 %config(noreplace) /etc/pgsql/odbcinst.ini
 /usr/share/pgsql/odbc.sql
 %endif
@@ -937,7 +934,6 @@
 %if %test
 %files test
 %defattr(-,postgres,postgres)
-%attr(755,postgres,postgres) /usr/lib/pgsql/config.guess
 %attr(-,postgres,postgres) /usr/lib/pgsql/test/*
 %attr(-,postgres,postgres) %dir /usr/lib/pgsql/test
 %endif
